<!--  ~/packages/sencha-member-portlet/lib/assign-users-to-projects.adp --> 

<script type='text/javascript'>
/* *********************** APP CONFIG ********************************** 
Load Order:
	 1. Load Projects and fill tree (from POBASE.store.Projects) 
	 2. Load Membership Rels (from POBASE.store.Projects)  
	 3. Load Users (from POBASE.store.EmployeeMembershipRels ) 
	 4. Fill POBASE.controllers.get('Employees').fillEmployeeStoreFromUserStore (from POBASE.store.Users)
*/

Ext.Loader.setConfig({ enabled: true });
Ext.Loader.setPath('Ext.ux', '../../@package_key_sencha;noquote@/examples/ux/');

Ext.application({
    name:		'POBASE',
    models: 		[ 'User', 'Employee','EmployeeMembershipRel', 'Project' ],    
    stores: 		[ 'Users', 'Employees', 'EmployeeMembershipRels', 'Projects' ],
    controllers:    	[ 'Employees', 'Projects', 'ProjectTreePanel', 'Membership_rel'],
    launch: function() {
		POBASE = this;
        	Ext.create('Ext.container.Container', {
             	renderTo: 'project_tree_panel',
             	items: [
                {
                     xtype: 'projectTreePanel'
                }
            ]
        });

    }
});
</script>

<div id="project_tree_panel"></div>
