# /packages/sencha-member-portlet/www/xhtml-copy-project-assignments.tcl

# Copyright (c) 2014 Project Open Business Solutions S.L. 
# All rights reserved. Please check
# http://www.project-open.com/license/ for details.
# 
# @author klaus.hofeditz@project-open.com

ad_page_contract {
    Copies project & sub-project relationships from one user to another  

    @param from_user  
    @param to_user 

    @author klaus.hofeditz@project-open.com
} {
    { from_user:integer }
    { to_user:integer }
}

set user_id [auth::require_login]
if {[catch {
	set res [db_string copy_rels "select im_rels_transfer_user_projects_and_tasks(:from_user, :to_user)" -default -1]
	ns_return 200 text/html $res
} err_msg]} {
	ns_return 500 text/html $err_msg
}

