# /packages/sencha-member-portlet/lib/assign-users-to-projects.tcl
#
# Copyright (C) 2003 - now  Project Open Business solutions S.L.
#
# All rights reserved. Please check
# http://www.project-open.com/license/ for details.

set current_user_id [auth::require_login]

set page_title ""
set left_navbar_html ""
set sub_navbar ""


# Get SENCHA version 
set package_key_sencha [lindex [im_sencha_extjs_version] 2]

# Load ExtJS Libs
im_sencha_extjs_load_libraries
# template::head::add_javascript -src "/sencha-v411/ext-all.js" -order 1
# template::head::add_css -href "/sencha-v411/resources/css/ext-all.css" -media "screen" -order 1000
template::head::add_css -href "/${package_key_sencha}/resources/css/ext-all-gray.css" -media "screen" -order 1010

# MODELS
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/model/User.js" -order 9000
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/model/Employee.js" -order 9005
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/model/EmployeeMembershipRel.js" -order 9010
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/model/Project.js" -order 9010

# STORES
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/store/Users.js" -order 9050
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/store/Employees.js" -order 9055
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/store/EmployeeMembershipRels.js" -order 9060
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/store/Projects.js" -order 9060
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/store/TreeStore.js" -order 9065

# CONTROLLER
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/controller/Projects.js" -order 9100
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/controller/ProjectTreePanel.js?user_id=$user_id" -order 9105 
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/controller/Employees.js" -order 9110 
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/controller/Membership_rel.js" -order 9115

# VIEW
template::head::add_javascript -src "/sencha-member-portlet/pobase/app/view/ProjectTreePanel.js" -order 99999

# UX 
# template::head::add_javascript -src "/sencha-member-portlet/pobase/app/ux/statusbar/StatusBar.js" -order 99999
