Ext.define('POBASE.controller.Employees', {
    extend: 'Ext.app.Controller',
    stores: ['Employees', 'Users'],
    models: ['Employee', 'User'],
    fillEmployeeStoreFromUserStore: function () {
	// console.log('In "POBASE.controller.Employees.fillEmployeeStore()"');
        userStore = Ext.getStore('Users');
        employeeStore = Ext.getStore('Employees');
        relStore = Ext.getStore('EmployeeMembershipRels');
	// console.log('POBASE.controller.Employees: Found # users:' + userStore.getRange());
        Ext.each(userStore.getRange(), function (record) {
            var newRecordData = Ext.clone(record.copy().data);
            var emp_rec = relStore.findRecord('object_id_two', newRecordData.user_id);
            if (null != emp_rec) {
                employeeStore.add({
                    'employee_id': newRecordData.user_id,
                    'employee_name': newRecordData.last_name + ', ' + newRecordData.first_names
                });
            }
        });
	// console.log('Employees.js : fillEmployeeStoreFromUserStore - DONE);
	Ext.getCmp('project-tree-panel-status').clearStatus({useDefaults:true});
    }
});

