Ext.define('POBASE.store.EmployeeMembershipRels', {
    extend: 'Ext.data.Store',
    model: 'POBASE.model.EmployeeMembershipRel',
    pageParam: undefined,
    pageSize: 999999999,
    autoLoad: false,
    proxy: {
        type: 'ajax',
        url: '/intranet-rest/membership_rel',
        extraParams: {
            format: 'json',
            columns: 'id,object_id_one,object_id_two'
        },
        reader: {
            type: 'json',
            root: 'data'
        }
    },
    listeners: {
        load: function (store, records, success) {
	    //console.log("Load success POBASE.store.EmployeeMembershipRel:  " + success);
            // If there's a Employees store, fill it
	    if (!success) {
		Ext.MessageBox.alert('Error', "Error retrieving User data. Your session might be expired, please <a href='/register/?return_url=<%=[im_url_with_query]%>'>re-login</a>");
	    } else {
		// console.log('POBASE.store.EmployeeMembershipRels: Loading Users ... ' + Date.now());
		Ext.getStore('Users').load();
		// console.log('POBASE.store.EmployeeMembershipRels: Users loaded... ' + Date.now());
	    };
            // if (Ext.getStore('Employees')) {
            // console.log('Found store Employees, filling now ...');
	    // Ext.getCmp('project-tree-panel-status').showBusy('Loading employees ...');
            // POBASE.controllers.get('Employees').fillEmployeeStoreFromUserStore();
            // };
        }
    }
});

