// sencha-member-portlet/www/pobase/app/view/ProjectTreePanel.js

Ext.onReady(function() {
    Ext.define('POBASE.view.ProjectTreePanel', {
	extend: 'Ext.tree.Panel',
	alias: 'widget.projectTreePanel',
	store: 'Projects',
	// title: 'Assigning User to Projects',
	height: 600,
	width:  420, 
	padding: '5 5 5 5',
	useArrows: true,
	multiSelect: true,
	singleExpand: true,
	rootVisible: false,
	bbar: Ext.create('Ext.ux.statusbar.StatusBar', {
            id: 'project-tree-panel-status',
	    defaultText: 'Ready',
	    defaultIconCls: 'default-icon',
	    text: 'Loading Projects and building tree ... ',
	    iconCls: 'ready-icon'
	}),
	dockedItems: [
            {
		dock: 'bottom',
		items: [{
		    xtype: 'button',
		    id: 'right-button',
		    text: 'Assign Employee to Projects',
		    action: 'saveRels',
		    margin: '10 10'
		}]
	    } 
	       /*
		,{
		dock: 'top',
		items: [{
		    xtype: 'combo',
		    id: 'selectEmployeesCombo',
		    name: 'selectEmployeesCombo',
		    fieldLabel: 'Employee to be assigned',
		    store: 'Employees',
		    queryMode: 'local',
		    displayField: 'employee_name',
		    valueField: 'employee_id',
		    multiSelect: false,
		    forceSelection: true,
		    labelWidth: 200,
		    width: 400,
		    padding: '5 5 5 5'
		}]
	    }*/
	],
	columns: [
            {
		xtype: 'treecolumn',
		text: 'Projects/Subprojects',
		flex: 2,
		sortable: true,
		dataIndex: 'project_name'
	    }]
    });
});